"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.JsonFormatter = void 0;
/**
 * Formatter to transform a highlight into a JSON string.
 */
class JsonFormatter {
    transform(record) {
        return JSON.stringify(Object.assign(Object.assign({}, record), { dateOfHighlight: record.dateOfHighlight.toString() }));
    }
}
exports.JsonFormatter = JsonFormatter;
